Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lejos.pc.comm
Class InputValues

    java.lang.Object
      lejos.pc.comm.InputValues

    public class InputValues

extends java.lang.Object

Structure that gives information about a NXT sensor.

Version:
  0.1 August 3, 2006
Author:
  Brian Bagnall
See Also:
  `NXTCommand`

Field Summary
`short` | `calibratedValue` Currently unused.
`int` | `inputPort` The number ofd the port (0 - 3)
`boolean` | `isCalibrated` Indicates whether the sensor has been calibrated - not currently used.
`int` | `normalizedADValue` The normalized value from the Analog to Digital (AD) converter.
`int` | `rawADValue` The raw value from the Analog to Digital (AD) converter.
`short` | `scaledValue` The scaled value starts working after the first call to the sensor.
`int` | `sensorMode` The mode of the sensor - see NXTProtocol.
`int` | `sensorType` The type of the sensor - see NXTProtocol.
`boolean` | `valid` NXT indicates if it thinks the data is valid (as it has had time to stabilize)

Constructor Summary
`InputValues()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inputPort

    public int inputPort

  The number ofd the port (0 - 3)

### valid

    public boolean valid

  NXT indicates if it thinks the data is valid (as it has had time to stabilize)

### isCalibrated

    public boolean isCalibrated

  Indicates whether the sensor has been calibrated - not currently used.

### sensorType

    public int sensorType

  The type of the sensor - see NXTProtocol.

### sensorMode

    public int sensorMode

  The mode of the sensor - see NXTProtocol.

### rawADValue

    public int rawADValue

  The raw value from the Analog to Digital (AD) converter.

### normalizedADValue

    public int normalizedADValue

  The normalized value from the Analog to Digital (AD) converter. I really don't know for sure which values are normalized yet. 0 to 1023

### scaledValue

    public short scaledValue

  The scaled value starts working after the first call to the sensor. The first value will be the raw value, but after that it produces scaled values. With the touch sensor, off scales to 0 and on scales to 1.

### calibratedValue

    public short calibratedValue

  Currently unused.

Constructor Detail

### InputValues

    public InputValues()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD